#include <gtk/gtk.h>
#include "config.h"
#include "argyll_support.h"
#include "argyll_uisupport.h"

struct SimpleComboOption *ArgyllUISupport::GetInstrumentComboOpts()
{
	int inst=ArgyllSupport::GetSupportedInstrumentCount();
	SimpleComboOption *comboopts=new SimpleComboOption[inst+1];
	comboopts[inst].option=NULL;
	comboopts[inst].displayname=NULL;
	for(int i=0;i<inst;++i)
	{
		comboopts[i].option=ArgyllSupport::GetInstrumentName(i);
		comboopts[i].displayname=ArgyllSupport::GetInstrumentDescription(i);
	}

	return(comboopts);
}

