#include <iostream>

#include "1dinterp.h"

using namespace std;

double myin[]=
{
	0,
	1,
	2,
	3,
	4,
	5,
	6,
	7,
	8,
	9,
	10,
};

double myout[]=
{
	0.0,
	0.11,
	0.19,
	0.32,
	0.41,
	0.56,
	0.67,
	0.78,
	0.86,
	0.95,
	1.0,
};

int main(int argc,char **argv)
{
	Interpolate_1D interp;
	interp.Populate(11,myin,myout);

	cerr << "Forward lookup..." << endl;

	for(int i=0;i<=100;++i)
	{
		double o=interp.Interpolate(i/10.0);
		cerr << i/10.0 << " -> " << o << endl;
	}

	cerr << "Reverse lookup..." << endl;

	for(int i=0;i<=100;++i)
	{
		double o=interp.ReverseInterpolate(i/100.0);
		cerr << i/100.0 << " -> " << o << endl;
	}


	return(0);
}

