#ifndef STEPWIDGET_GENCHART
#define STEPWIDGET_GENCHART

#include <gtk/gtk.h>

#include "miscwidgets/simplecombo.h"

#include "gpdevicensupport.h"
#include "projectgui.h"


class StepWidget_GenerateChart : public StepWidget
{
	public:
	StepWidget_GenerateChart(ProjectGUI *gui);
	virtual const char *GetDirections();
	protected:
	void SaveChanges();
	void CreateChart();
	void CreateThumbnails();
	static void markmodified(GtkWidget *wid,gpointer data);
	protected:
	GPColorantList colorants;
	GtkWidget *papersize;
	GtkWidget *instrument;
	SimpleComboOption *comboopts;
	GtkWidget *colorantsel;
	GtkWidget *stepsperchannel;
};

//	Creator subclass for GUI
DEFINE_GUI_STEP(GenerateChart);

#endif

