#ifndef ONEDINTERP_H
#define ONEDINTERP_H

// Base class for 1D interpolation using the rspl library from Argyll.

class Interpolate_1D_Private;	// We wrap the implementation in here mainly
							// so clients don't have to include the C-based rspl headers
class Interpolate_1D
{
	public:
	Interpolate_1D();
	virtual ~Interpolate_1D();
	virtual bool Populate(int count,double *in,double *out,double smoothing=0.25);
	virtual double Interpolate(double input);
	virtual double ReverseInterpolate(double output);
	protected:
	Interpolate_1D_Private *priv;
};

#endif

