#ifndef STEPWIDGET_BASEDENSITY
#define STEPWIDGET_BASEDENSITY

#include <gtk/gtk.h>

#include "miscwidgets/simplecombo.h"

#include "gpdevicensupport.h"
#include "projectgui.h"


class StepWidget_BaseDensity : public StepWidget
{
	public:
	StepWidget_BaseDensity(ProjectGUI *gui);
	protected:
	virtual const char *GetDirections();
	void SaveChanges();
	void Print();
	static void markmodified(GtkWidget *wid,gpointer data);
	static void printclicked(GtkWidget *wid,gpointer data);
	protected:
	GPColorantList colorants;
	GtkWidget *papersize;
	GtkWidget *initialdensity;
	GtkWidget *colorantsel;
	GtkWidget *correcteddensity;
};


//	Creator subclass for GUI
DEFINE_GUI_STEP(BaseDensity);

#endif

